# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nu_plugin_bigquery"
version = "0.2.0"
authors = ["Kamil Gałuszka"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Nushell plugin for querying Google BigQuery"
homepage = "https://github.com/galuszkak/nu_plugin_bigquery/"
readme = "README.md"
license = "MIT"
repository = "https://github.com/galuszkak/nu_plugin_bigquery/"

[lib]
name = "nu_plugin_bigquery"
path = "src/lib.rs"

[[bin]]
name = "nu_plugin_bigquery"
path = "src/main.rs"

[dependencies.arrow]
version = "58"
features = ["ipc"]

[dependencies.base64]
version = "0.22"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.google-cloud-auth]
version = "1.8.0"

[dependencies.googleapis-tonic-google-cloud-bigquery-storage-v1]
version = "0.31.0"

[dependencies.interprocess]
version = "2.4.0"

[dependencies.nu-plugin]
version = "0.112.2"

[dependencies.nu-protocol]
version = "0.112.2"

[dependencies.prost]
version = "0.14.3"

[dependencies.reqwest]
version = "0.13"
features = [
    "json",
    "query",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tempfile]
version = "3"

[dependencies.tokio]
version = "1"
features = ["rt-multi-thread"]

[dependencies.tonic]
version = "0.14.5"
features = ["tls-webpki-roots"]
